/**	$Revision: 1.8 $
	Last updated: $Date: 2006/03/09 18:58:39 $
	
	Copyright (C) 2001-2002 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#include "PurgeTransForm.h"
#include "FreeCoinsRsc.h"

PurgeTransForm::PurgeTransForm() : Form (PURGE_FORM)
{}

Boolean PurgeTransForm::handleOpenEvent()
{
	DateSecondsToDate(TimGetSeconds()-2592000,&date); //set default date one month in the past
	updateDateField(PURGE_TRANS_CHOOSE_DATE,date,date_txt);		
	FrmDrawForm(frm);
	return(true);
}

Boolean PurgeTransForm::handleUpdateEvent(UInt16 update_code)
{
	//update the date field (could have been changed by editscheduledtransform)
	updateDateField(PURGE_TRANS_CHOOSE_DATE,date,date_txt);		
	os35_drawForm(frm);
	return true;
}
	
Boolean PurgeTransForm::handleCtlSelectEvent(UInt16 control_id)
{
	switch(control_id) {
		case PURGE_TRANS_OK: {
			//if something is wrong, an error message has already been
			//issued by checkData, so do nothing.
			if(alert_res (GENERIC_YES_NO, PURGE_CONF_STR)) break;
			transactions_db->purgeTransactions(date);
			FrmUpdateForm (caller_form_id,frmRedrawUpdateCode);
			FrmReturnToForm(0);
			break;
		}
		case PURGE_TRANS_CHOOSE_DATE:
			selectDate(date,PURGE_TRANS_CHOOSE_DATE,date_txt);
			break;
		case PURGE_TRANS_CANCEL:
			//cancel button was pressed;
			FrmUpdateForm (caller_form_id,frmRedrawUpdateCode);
			FrmReturnToForm(0);
			break;
		default:
			return false;			
		};

	return true;
}
